## org.apache.lucene.spatial.tier
Class DistanceFieldComparatorSource

    java.lang.Object
      org.apache.lucene.search.FieldComparatorSource
          org.apache.lucene.spatial.tier.DistanceFieldComparatorSource

All Implemented Interfaces:
  java.io.Serializable

    public class DistanceFieldComparatorSource

extends FieldComparatorSource

NOTE: This API is still in flux and might change in incompatible ways in the next release.

See Also:
  Serialized Form

Constructor Summary
`DistanceFieldComparatorSource(Filter distanceFilter)`

Method Summary
`void` `cleanUp()`
`FieldComparator` `newComparator(java.lang.String fieldname, int numHits, int sortPos, boolean reversed)` Creates a comparator for the field in the given index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceFieldComparatorSource

    public DistanceFieldComparatorSource(Filter distanceFilter)

Method Detail

### cleanUp

    public void cleanUp()

### newComparator

    public FieldComparator newComparator(java.lang.String fieldname,
                                         int numHits,
                                         int sortPos,
                                         boolean reversed)
                                  throws java.io.IOException

  Description copied from class: `FieldComparatorSource`
  Creates a comparator for the field in the given index.

  Specified by:
    `newComparator` in class `FieldComparatorSource`
  Parameters:
    `fieldname` - Name of the field to create comparator for.
  Returns:
    FieldComparator.
  Throws:
    `java.io.IOException` - If an error occurs reading the index.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.